Get Index
curl --request GET \
--url https://api.perpetuals.polymarket.com/v1/info/indeximport requests
url = "https://api.perpetuals.polymarket.com/v1/info/index"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.perpetuals.polymarket.com/v1/info/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset": "NVDA",
"index_price": "160.00",
"constituents": [
{
"source": "chainlink",
"symbol": "NVDA/USD",
"weight": "1.0",
"price": "160.00"
}
],
"ts": 1767225600000
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}{
"status": "err",
"error": "insufficient_margin"
}Get index price and the list of constituents for an asset.
GET
/
v1
/
info
/
index
Get Index
Request Weight: 2
Query Parameters
Asset name
Example:
"USDC"
Response
Index constituents response.
Asset name
Example:
"USDC"
Index price
Example:
"100.00"
Show child attributes
Show child attributes
Request timestamp. Unix milliseconds for most operations; Unix seconds for withdrawals (must match the on-chain EIP-712 struct verified against block.timestamp).
Example:
1767225600000
Was this page helpful?
⌘I